# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default A Short Hike Template

game: A Short Hike
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

A Short Hike:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  ###################
  # General Options #
  ###################
  goal:
    # Choose the end goal.
    # Nap: Complete the climb to the top of Hawk Peak and take a nap
    # Photo: Get your picture taken at the top of Hawk Peak
    # Races: Complete all three races with Avery
    # Help Everyone: Travel around Hawk Peak and help every character with their troubles
    # Fishmonger: Catch one of every fish from around Hawk Peak
    nap: 0
    photo: 0
    races: 0
    help_everyone: 50
    fishmonger: 0

  filler_coin_amount:
    # The number of coins that will be in each filler coin item.
    7_coins: 0
    13_coins: 50
    15_coins: 0
    18_coins: 0
    21_coins: 0
    25_coins: 0
    27_coins: 0
    32_coins: 0
    33_coins: 0
    50_coins: 0

  random_walkie_talkie:
    # When enabled, the Walkie Talkie item will be placed into the item pool. Otherwise, it will be placed in its vanilla location.
    # This item usually allows the player to locate Avery around the map or restart a race.
    'false': 0
    'true': 50

  #################
  # Logic Options #
  #################
  golden_feather_progression:
    # Determines which locations are considered in logic based on the required amount of golden feathers to reach them.
    # Easy: Locations will be considered inaccessible until the player has enough golden feathers to easily reach them. A minimum of 10 golden feathers is recommended for this setting.
    # Normal: Locations will be considered inaccessible until the player has the minimum possible number of golden feathers to reach them. A minimum of 7 golden feathers is recommended for this setting.
    # Hard: Removes the requirement of golden feathers for progression entirely and glitches may need to be used to progress
    easy: 0
    normal: 50
    hard: 0

  easier_races:
    # When enabled, the Running Shoes will be added as a logical requirement for beating any of the races.
    'false': 50
    'true': 0

  #####################
  # Item Pool Options #
  #####################
  golden_feathers:
    # Number of Golden Feathers in the item pool.
    # (Note that for the Photo and Help Everyone goals, a minimum of 12 Golden Feathers is enforced)
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 20
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-20: 0 # random value between 0 and 20

  silver_feathers:
    # Number of Silver Feathers in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 20
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-20: 0 # random value between 0 and 20

  buckets:
    # Number of Buckets in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 2
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-2: 0 # random value between 0 and 2

  sticks:
    # Number of Sticks in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 8
    8: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-8: 0 # random value between 1 and 8

  toy_shovels:
    # Number of Toy Shovels in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 5
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-5: 0 # random value between 1 and 5

  ################
  # Shop Options #
  ################
  coins_in_shops:
    # When enabled, the randomizer can place coins into locations that are purchased, such as shops.
    'false': 50
    'true': 0

  cost_multiplier:
    # The percentage that all item shop costs will be of the vanilla values.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 25
    # Maximum value is 200
    100: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-25-200: 0 # random value between 25 and 200

  shop_check_logic:
    # Determines which items will be added as logical requirements to making certain purchases in shops.
    nothing: 0
    fishing_rod: 50
    shovel: 0
    fishing_rod_and_shovel: 0
    golden_fishing_rod: 0
    golden_fishing_rod_and_shovel: 0

  min_shop_check_logic:
    # Determines the minimum cost of a shop item that will have the shop check logic applied to it.
    # If the cost of a shop item is less than this value, no items will be required to access it.
    # This is based on the vanilla prices of the shop item. The set cost multiplier will not affect this value.
    40_coins: 0
    100_coins: 50
    400_coins: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
